/ lang / hyp
Hyp
Syntax

    Hypotenuse = Hyp ( X AS Float , Y AS Float ) AS Float

This function returns `Sqr((X ^ 2)+(Y ^ 2))`.

This is the length of the hypotenuse of a right-angle triangle with sides of length X and Y, or the distance of the point (X,Y) from the origin.

This is the same function as Mag.

### Examples

    PRINT Hyp(1, 1)
    <hr>1.414213562373

    PRINT Hyp(3, 4)
    <hr>5

### See also

Trigonometric Functions Mag